package discovery

import (
	"encoding/json"

	"github.com/google/gopacket"

	"git.loafle.net/overflow/commons-go/core/constants"
	"git.loafle.net/overflow/commons-go/core/util"
)

type Port struct {
	Host *Host `json:"host,omitempty"`

	ID         json.Number        `json:"id,Number,omitempty"`
	PortType   constants.PortType `json:"portType,omitempty"`
	PortNumber json.Number        `json:"portNumber,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`

	UDPLayer gopacket.Layer `json:"-"`
}
