package probe

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/domain"
	"git.loafle.net/overflow/commons-go/model/member"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type Probe struct {
	ID              json.Number           `json:"id,Number,omitempty"`
	MetaProbeStatus *meta.MetaProbeStatus `json:"metaProbeStatus,omitempty"`
	Description     string                `json:"description,omitempty"`
	CreateDate      *util.Timestamp       `json:"createDate,omitempty"`
	Domain          *domain.Domain        `json:"domain,omitempty"`
	ProbeKey        string                `json:"probeKey,omitempty"`
	EncryptionKey   string                `json:"encryptionKey,omitempty"`
	DisplayName     string                `json:"displayName,omitempty"`
	Cidr            string                `json:"cidr,omitempty"`
	AuthorizeDate   *util.Timestamp       `json:"authorizeDate,omitempty"`
	AuthorizeMember *member.Member        `json:"authorizeMember,omitempty"`
	ConnectDate     *util.Timestamp       `json:"connectDate,omitempty"`
	ConnectAddress  string                `json:"connectAddress,omitempty"`

	TargetCount int `json:"targetCount,omitempty"`
	SensorCount int `json:"sensorCount,omitempty"`
}
